# Visualization
TKV3d
Voxel

# Voxel_BooleanOperation Class Reference

Boolean operations (fuse, cut)
for voxels of the same dimension.
.

`#include <Voxel_BooleanOperation.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Voxel_BooleanOperation ()
| An empty constructor. .
Standard_EXPORT Standard_Boolean | Fuse (Voxel_BoolDS &theVoxels1, const Voxel_BoolDS &theVoxels2) const
| Fuses two cubes of voxels. It modifies the first cube of voxels. It returns false in case of different dimension of the cube, different number of voxels. .
Standard_EXPORT Standard_Boolean | Fuse (Voxel_ColorDS &theVoxels1, const Voxel_ColorDS &theVoxels2) const
| Fuses two cubes of voxels. It modifies the first cube of voxels. It returns false in case of different dimension of the cube, different number of voxels. It summerizes the value of corresponding voxels and puts the result to theVoxels1. If the result exceeds 15 or becomes greater, it keeps 15. .
Standard_EXPORT Standard_Boolean | Fuse (Voxel_FloatDS &theVoxels1, const Voxel_FloatDS &theVoxels2) const
| Fuses two cubes of voxels. It modifies the first cube of voxels. It returns false in case of different dimension of the cube, different number of voxels. It summerizes the value of corresponding voxels and puts the result to theVoxels1. .
Standard_EXPORT Standard_Boolean | Cut (Voxel_BoolDS &theVoxels1, const Voxel_BoolDS &theVoxels2) const
| Cuts two cubes of voxels. It modifies the first cube of voxels. It returns false in case of different dimension of the cube, different number of voxels. .
Standard_EXPORT Standard_Boolean | Cut (Voxel_ColorDS &theVoxels1, const Voxel_ColorDS &theVoxels2) const
| Cuts two cubes of voxels. It modifies the first cube of voxels. It returns false in case of different dimension of the cube, different number of voxels. It subtracts the value of corresponding voxels and puts the result to theVoxels1. .
Standard_EXPORT Standard_Boolean | Cut (Voxel_FloatDS &theVoxels1, const Voxel_FloatDS &theVoxels2) const
| Cuts two cubes of voxels. It modifies the first cube of voxels. It returns false in case of different dimension of the cube, different number of voxels. It subtracts the value of corresponding voxels and puts the result to theVoxels1. .

## Private Member Functions

Standard_EXPORT Standard_Boolean | Check (const Voxel_DS &theVoxels1, const Voxel_DS &theVoxels2) const

## Constructor & Destructor Documentation

Standard_EXPORT Voxel_BooleanOperation::Voxel_BooleanOperation | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean Voxel_BooleanOperation::Check | ( | const Voxel_DS & | theVoxels1,
|  | const Voxel_DS & | theVoxels2
| ) | const`[private]`

Standard_EXPORT Standard_Boolean Voxel_BooleanOperation::Cut | ( | Voxel_FloatDS & | theVoxels1,
|  | const Voxel_FloatDS & | theVoxels2
| ) | const

Standard_EXPORT Standard_Boolean Voxel_BooleanOperation::Cut | ( | Voxel_ColorDS & | theVoxels1,
|  | const Voxel_ColorDS & | theVoxels2
| ) | const

Standard_EXPORT Standard_Boolean Voxel_BooleanOperation::Cut | ( | Voxel_BoolDS & | theVoxels1,
|  | const Voxel_BoolDS & | theVoxels2
| ) | const

Standard_EXPORT Standard_Boolean Voxel_BooleanOperation::Fuse | ( | Voxel_FloatDS & | theVoxels1,
|  | const Voxel_FloatDS & | theVoxels2
| ) | const

Standard_EXPORT Standard_Boolean Voxel_BooleanOperation::Fuse | ( | Voxel_ColorDS & | theVoxels1,
|  | const Voxel_ColorDS & | theVoxels2
| ) | const

Standard_EXPORT Standard_Boolean Voxel_BooleanOperation::Fuse | ( | Voxel_BoolDS & | theVoxels1,
|  | const Voxel_BoolDS & | theVoxels2
| ) | const

void Voxel_BooleanOperation::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Voxel_BooleanOperation::operator new | ( | size_t | size | ) | `[inline]`

void* Voxel_BooleanOperation::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- Voxel_BooleanOperation.hxx